*"表題 トーン描画 GTOOL3(GGTONE)
*
*"履歴 90/08/17 沼口  敦
*"履歴 95/05/25 竹広真一  for dcl-5.0
*
*
*********************************************************************
*"         << トーン描画 >>
*********************************************************************
      SUBROUTINE GGTONE
     I         ( HHEAD , GDATA ,
     I           TONL  , ITON  , NTON  )
*
      CHARACTER  HHEAD ( * )*(*)         !" ヘッダー
      REAL       GDATA ( * )             !" データ
      REAL       TONL  ( NTON+1 )        !" トーン境界値
      INTEGER    ITON  ( NTON )          !" トーン番号
*"    INTEGER    NTON                    ! トーンの数
*
      LOGICAL    OTONS
*
*"         < 1. サイズ >
*
      CALL GUSMIS ( HHEAD )
*
      CALL GHPGET ( HHEAD, 'ASTR1', IXSTR )
      CALL GHPGET ( HHEAD, 'AEND1', IXEND )
      CALL GHPGET ( HHEAD, 'ASTR2', IYSTR )
      CALL GHPGET ( HHEAD, 'AEND2', IYEND )
      IXDIM = IXEND-IXSTR+1
      IYDIM = IYEND-IYSTR+1
*
*"         < 2. トーンレベル >
*
      CALL GGPGET ( 'TONESET', ITNSET )
      IF ( ITNSET .LE. 0 ) THEN
         CALL UEITLV                                    !" トーンレベルを無効
      ENDIF
*
      IF ( (ITNSET .NE. 1) .AND. (NTON .GE. 1) ) THEN
         CALL UESTLN ( TONL, ITON, NTON )               !" トーンレベルを設定
      ENDIF
*
      CALL UEQNTL ( NTONE )                             !" トーンレベルの数
      IF ( NTONE .LT. 1   ) RETURN
*
*"         < 3. トーン描画 >
*
c$$$      CALL GGPGET ( 'TONEPXL' , IPXLX )
c$$$      CALL GGPGET ( 'TONEPXL2', IPXLY )
c$$$      CALL UEPSET ( 'LINTER'  ,.FALSE.)
c$$$*
c$$$      CALL SGQTRN( ITR )
c$$$      IF ( ( 1 .LE. ITR ) .AND. ( ITR .LE. 4 ) ) THEN
c$$$         IF ( IPXLX .EQ. 0 ) THEN
c$$$            CALL VETONG ( GDATA ,
c$$$     I                    IXDIM , IXDIM , IYDIM )
c$$$         ELSE IF ( IPXLX .GT. 0 ) THEN
c$$$            IF ( IPXLY .LE. 0 ) IPXLY = IPXLX
c$$$            CALL VETONF ( GDATA ,
c$$$     I                    IXDIM , IXDIM , IYDIM , IPXLX, IPXLY )
c$$$         ELSE
c$$$            CALL UETONE ( GDATA ,
c$$$     I                    IXDIM , IXDIM , IYDIM )
c$$$         ENDIF
c$$$      ELSE
         CALL UETONE ( GDATA ,
     I                 IXDIM , IXDIM , IYDIM )          !" トーン描画
c$$$      ENDIF
*     
*"         < 4. トーンスケール >
*
      CALL GGPGET ( 'LTONS', OTONS )
      IF ( OTONS ) THEN
         CALL GGTONS                              
     I           ( HHEAD )                              !" トーンスケール描画
      ENDIF
*
      CALL GGPSET ( 'TONESET', 0 )
*
      RETURN
      END
